Put access rules
Updates the access rule config for the given group_id.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The access rule ID (group ID) of the access rule.
Body
UpdateAccessRuleInfo Object
Description
The UpdateAccessRuleInfo object is used as an input to the UpdateAccessRule and CreateAccessRule API.
The name of the access rule.
"Platform Engineering"
A description of the group.
"This access rule represents all platform engineers in the company."
The ID of the owner of the group.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The status of the access rule.
ACTIVE, PAUSED "ACTIVE"
Response
The updated access rule config for the group.
Access Rule Object
Description
The AccessRule object is used to represent an access rule configuration.
Usage Example
List access rules from the GET /access-rules endpoint, or retrieve a single access rule from the GET /access-rules/{access_rule_id} endpoint.
The ID (group ID) of the access rule.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The name of the access rule.
"Platform Engineering"
A description of the group.
"This access rule represents all platform engineers in the company."
The ID of the owner of the group.
"7c86c85d-0651-43e2-a748-d69d658418e8"
The status of the access rule.
ACTIVE, PAUSED "ACTIVE"

